> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Blocking Rules

> Check if scan issues violate any blocking rules



## OpenAPI

````yaml /api-reference/openapi.json get /scan/{scan_id}/check_blocking_rules
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: >-
    API for interacting with Corgea's scanning and vulnerability management
    features
servers:
  - url: https://www.corgea.app/api/v1
    description: Production server
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /scan/{scan_id}/check_blocking_rules:
    get:
      tags:
        - Scans
        - Policies
      summary: Check Blocking Rules
      description: Check if scan issues violate any blocking rules
      operationId: checkBlockingRules
      parameters:
        - name: scan_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The ID of the scan
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
          description: The page number for pagination
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            default: 20
            maximum: 50
          description: The number of results per page
      responses:
        '200':
          description: Blocking rules check completed
          content:
            application/json:
              schema:
                type: object
                properties:
                  block:
                    type: boolean
                    description: Whether the scan is blocked by any rules
                  blocking_issues:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        triggered_by_rules:
                          type: array
                          items:
                            type: string
                  stats:
                    type: object
                    properties:
                      total_issues:
                        type: integer
                      blocked_issues:
                        type: integer
                  page:
                    type: integer
                  total_pages:
                    type: integer
        '403':
          description: Permission denied
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Permission denied
        '404':
          description: Scan not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: SAST scan not found
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OAuth2 access token (JWT) in the Authorization header

````